Open CASCADE Technology: PXCAFDoc_Centroid Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
PXCAFDoc_Centroid Class Reference

`#include <PXCAFDoc_Centroid.hxx>`

Inheritance diagram for PXCAFDoc_Centroid:
[legend]

## Public Member Functions
| PXCAFDoc_Centroid ()
| PXCAFDoc_Centroid (const gp_Pnt &pnt)
void | Set (const gp_Pnt &pnt)
gp_Pnt | Get () const
| PXCAFDoc_Centroid (const Storage_stCONSTclCOM &a)
const gp_Pnt & | _CSFDB_GetPXCAFDoc_CentroidmyPCentroid () const
Public Member Functions inherited from PDF_Attribute
| PDF_Attribute (const Storage_stCONSTclCOM &a)
| PDF_Attribute ()
Public Member Functions inherited from Standard_Persistent
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const
virtual Handle_Standard_Persistent | This () const
virtual void | Delete () const
virtual | ~Standard_Persistent ()
Standard_Persistent & | operator= (const Standard_Persistent &)
| Standard_Persistent ()
| Standard_Persistent (const Standard_Persistent &)
| Standard_Persistent (const Storage_stCONSTclCOM &)
virtual const Handle_Standard_Type & | DynamicType () const
Standard_Boolean | IsKind (const Handle_Standard_Type &) const
Standard_Boolean | IsInstance (const Handle_Standard_Type &) const

## Constructor & Destructor Documentation

PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( |  | ) |

PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( | const gp_Pnt & | pnt | ) |

PXCAFDoc_Centroid::PXCAFDoc_Centroid | ( | const Storage_stCONSTclCOM & | a | ) |
| inline

## Member Function Documentation

const gp_Pnt& PXCAFDoc_Centroid::_CSFDB_GetPXCAFDoc_CentroidmyPCentroid | ( |  | ) | const
| inline

gp_Pnt PXCAFDoc_Centroid::Get | ( |  | ) | const

void PXCAFDoc_Centroid::Set | ( | const gp_Pnt & | pnt | ) |

The documentation for this class was generated from the following file:

- PXCAFDoc_Centroid.hxx